blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
9d65ab7dff59c235ff22c7ac013a50c2aad08148
Shell
csworen/HackerRank_Solutions
/30 Days of Code/Day 3-Intro to Conditional Statements/conditional_bash.bash
UTF-8
249
2.734375
3
[]
no_license
read n #if(($n % 2 == 0 & (2 <= $n & $n <= 5 || $n > 20))); then # echo "Not Weird" #else # echo "Weird" #fi # single `if` block (($n % 2 == 0 & (2 <= $n & $n <= 5 || $n > 20))) && echo "Not Weird" || echo "Weird" # ternary solution
true
ff7df7548e88afddb065bb936efd35fd5b2d350a
Shell
forivall/dotfiles
/install-bins.sh
UTF-8
845
2.78125
3
[ "ISC" ]
permissive
#!/usr/bin/env zsh mkdir -p ~/.local/bin installer="$1" cmds=( 'corepack enable' 'npm install -g bash-language-server' 'npm install -g npm-name-cli' 'npm install -g chokidar-cli' 'npm install -g js-yaml' 'npm install -g nx' 'npm install -g serve' 'npm install -g git-file-history' 'cargo install b...
true
479520a54968eec8d58c96285062dec6b3babf63
Shell
00mjk/pe-scripts
/sh/tpsl/glm.sh
UTF-8
1,590
3.421875
3
[]
no_license
#!/bin/sh # # Build and install the GLM library. # # Copyright 2019, 2020 Cray, Inc. #### PACKAGE=glm VERSIONS=' 0.9.6.3:14651b56b10fa68082446acaf6a1116d56b757c8d375b34b5226a83140acd2b2 0.9.9.6:9db7339c3b8766184419cfe7942d668fecabe9013ccfec8136b39e11718817d0 ' _pwd(){ CDPATH= cd -- $1 && pwd; } _dirname(){ _d=`di...
true
7a3824217e483efef29d64f1da8b96fd6b13368b
Shell
halobrain/knode
/docker/dockercode/docker_setup.sh
UTF-8
1,729
2.71875
3
[]
no_license
# bash/sh echo "Docker set for dev environment" sudo apt-get update read -p "<<< If above is good to go, Press ENTER to continue. otherwise press ctrl+c >>>" echo "sudo apt install apt-transport-https ca-certificates curl software-properties-common" sudo apt install apt-transport-https ca-certificates curl software-p...
true
56129d6e39b9890418bfc838367f485104664bcb
Shell
Rinilyn/bashbunny-payloads
/payloads/library/exploitation/USB Persistent CPU-Miner/payload.txt
UTF-8
2,177
3.171875
3
[]
no_license
#!/bin/bash # # Title: USB Persistent CPU-Miner # Author: Rinilyn # Version: 0.1 # Target: Windows 7-10 # Category: Exploiting Resources # I would like to thank mainly Ar1k88. His payload inspired me to start such a project and i wanted to improve it. # Also thank you to C...
true
3d37b98d31924f39e1062e8e222ba9713849bf83
Shell
Wh1t3Rose/CSGO-RETAKES
/scripts/setup.sh
UTF-8
1,775
3.5625
4
[]
no_license
#!/bin/bash server_dir="$HOME/csgo_retakes/csgo" configs="$HOME/github/CSGO-RETAKES/csgo/addons/sourcemod/configs/" cd_dir="eval cd "$HOME/github/CSGO-RETAKES/csgo/"" RED='\033[0;31m' GREEN='\033[0;32m' NC='\033[0m' # No Color echo -e "${RED}Removing Existing Addons Directory if Applicable. If You Don't Have an inst...
true
6f6d233bbc0895d1d78e87d69050d93dc199e6d3
Shell
thomhastings/bt5-scripts
/git-rip-off-kali.sh
UTF-8
224
2.96875
3
[ "BSD-3-Clause" ]
permissive
for LINE in `curl http://git.kali.org/gitweb/?a=project_index | sort` do if [ ! -e "tails/kali/`echo $LINE | awk -F. '{print $1}'`" ] then git clone git://git.kali.org/$LINE else cd $LINE git pull cd .. fi done
true
fb7937f388a371bf25db82ac962776bcaa38bdfd
Shell
radford/plenv-pmset
/libexec/plenv-pmset
UTF-8
1,811
3.921875
4
[ "LicenseRef-scancode-public-domain" ]
permissive
#!/usr/bin/env bash set -e PLENV_PMSET_VERSION="0.3.0" # Provide plenv completions if [ "$1" = "--complete" ]; then if [ -z "$2" ]; then echo "active" echo "create" echo "delete" echo "file" echo "list" echo "version" exit else pmset_completion=1 shift fi fi if [ "$1" = "ver...
true
93c09b4414c25ce8ed8ae70d7ef192d03964a495
Shell
h4ck3rm1k3/awips2
/tools/devAutoDeploy/devCave/rpm-auto-install-qpid-start.sh
UTF-8
1,239
3.4375
3
[]
no_license
#!/bin/sh #---------------------------------------------------------------------- # Auto installation and startup script for a qpid server. #-------------------------------------------------------------------- PAUSE=8 PID=`/awips2/qpid/sbin/pidof qpidd` DATE=`date` echo "*********************************************...
true
41b0658e5af41a221c69b5dd0d1b922e72a52436
Shell
swift-lang/swift-t
/dev/mk-src-tgz.sh
UTF-8
1,316
4.21875
4
[ "Apache-2.0" ]
permissive
#!/bin/sh set -eu # MK SRC TGZ # For Debian package or Spack: Make the upstream or source TGZ # Used internally by Makefiles for Debian # Used by dev/build-spacks.sh # This is used for one individual module at a time: # ExM c-utils, ADLB/X, Turbine, or STC. if [ ${#} != 5 ] then echo "mk-src-tgz: usage: PKG_TY...
true
381702bd2b32393d0bde22cade24b5c077fabaf1
Shell
lk668/accumulation
/shell/set_controller.sh
UTF-8
555
2.78125
3
[]
no_license
echo "Please input the options of the controller status:" echo "set or del" read val case $val in set) sudo ovs-vsctl set-controller br-int tcp:10.108.125.20:8700 sudo ovs-vsctl set-controller br-sdn tcp:10.108.125.20:8700 sudo ovs-vsctl set-controller br-extra tcp:10.108.125.20:8700 ...
true
a21009a82217e379bd2ed9ccfec472341cfd0dda
Shell
FreddieAkeroyd/epics-seq-build
/runtests.sh
UTF-8
614
2.765625
3
[]
no_license
#!/bin/sh set -o errexit # get one IP address MYIP=`ipconfig|grep IPv4|awk -F: '{print $2}'|head -1| sed -s 's/ //g'` # loopback seems to give CAS ioctl errors? #MYIP=127.0.0.1 # export EPICS_CA_ADDR_LIST=$MYIP export EPICS_CA_AUTO_ADDR_LIST=NO #export EPICS_CA_BEACON_ADDR_LIST=127.255.255.255 #export EPICS_CA_BEACON_A...
true
3b3d93739c898f58d84cd7f5d0216351dbdb86c4
Shell
bricksdont/embrace-noise
/scripts/aspec/scripts/prepare.sh
UTF-8
4,868
2.96875
3
[ "MIT" ]
permissive
#! /bin/bash base=/net/cephfs/home/mathmu/scratch/noise-distill/aspec basebase=/net/cephfs/home/mathmu/scratch/noise-distill source $basebase/venvs/sockeye3-cpu/bin/activate module unuse /apps/etc/modules/start/ module use /sapps/etc/modules/start/ module load generic data=$base/data prepared=$base/prepared mkdir -...
true
b625371e1eb726d248620b7476ff58c7491ec2a8
Shell
kyukee/dotfiles
/Scripts/rofi-alias.sh
UTF-8
239
2.75
3
[]
no_license
#!/bin/bash # Returns a list of aliases in .bashrc, to be used in rofi cat ~/.bash_aliases | grep alias.*= | awk -F'[ =]' '{print $2}' # commands that come from a custom path (in this case the folder Scripts) ls -R ~/Scripts | grep .sh
true
bb118cf0eb478aa5898ff659cf0e63714fb52e46
Shell
emman31/scripts
/config_linux/git_custom_commands/git-merge-to
UTF-8
475
3.53125
4
[]
no_license
#!/bin/bash GREEN='\e[0;32m' CYAN=$'\e[36m' NC=$'\e[0m' # No Color CURRENT_BRANCH=$(git rev-parse --abbrev-ref HEAD) TARGET_BRANCH=$1 git checkout $TARGET_BRANCH git pull git status echo -e "${GREEN}Merging $CURRENT_BRANCH${NC}" git merge $CURRENT_BRANCH --no-ff git commit -C HEAD --amend # for git version 1.7.9+ #g...
true
c1fb5661705fd751aba269b4fb78b7c73a8568db
Shell
PaulYuuu/docker_rally
/rally_scripts/glance.sh
UTF-8
475
3.390625
3
[]
no_license
#!/bin/bash mkdir -p glance/{log,html} rally_task_dir=../../source/samples/tasks/scenarios glance_case=`find $rally_task_dir/glance -name "*.yaml"` for case in $glance_case do #Create rally log name=`echo $case | awk -F "/" '{print $NF}' | cut -d "." -f 1` rally --log-file glance/log/$name.log task start --t...
true
14540f136785311abafc2952942844917abf78db
Shell
mchlvncntry/cs160b
/Module4/mysed
UTF-8
900
3.859375
4
[]
no_license
#!/bin/bash # Name: M***V***R*** # Date: November 15, 2019 # File: m...
true
fc5f65ff07998130f9f71d9f5fce6725c69ab579
Shell
beards/dotfiles
/scripts/installer/debian/clang
UTF-8
1,679
3.65625
4
[]
no_license
#!/usr/bin/env bash # this script should be run as root if [ $EUID -ne 0 ]; then sudo $0 $@ exit $? fi SCRIPT_NAME=${BASH_SOURCE[0]} CLANG_HOME=/usr/local/src/clang SRC_DIR=$CLANG_HOME/llvm_src BUILD_DIR=$CLANG_HOME/build INSTALL_DIR=/usr/clang echo -e "#" echo -e "# $SCRIPT_NAME: install necessary packages...
true
262a944c7bcbaf19b31af61e5266188b249c9544
Shell
gronki/diskvert-old3
/sketches/maps2d-1/runall.sh
UTF-8
130
2.53125
3
[ "MIT" ]
permissive
for d in data.* do cd "$d" cat jobs.lst | parallel -j6 --bar bash ../job.sh cd .. echo "$d" >> completed.txt done
true
27d453f999bc0f227fdb86d23803ef1f08453601
Shell
kiali/kiali
/hack/istio/install-federated-travels-demo.sh
UTF-8
5,166
3.453125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash ############################################################################## # install-federated-travels-demo.sh # # Installs federated travels kiali demo application # https://github.com/kiali/demos/tree/master/federated-travels # Works on both openshift and non-openshift environments. #################...
true
cf9d4112a0cf9ff7898916e69d7bb2ba2c406008
Shell
kevinnguyenai/fusionpbx-docker-workshop
/build-freeswitch.sh
UTF-8
186
2.890625
3
[]
no_license
#!/bin/bash PLATFORM=$1 if [[ -z $1 ]]; then PLATFORM=linux/arm/v7,linux/amd64 fi pushd freeswitch docker buildx build --platform ${PLATFORM} --push -t crazyquark/freeswitch . popd
true
d261c89313cfd4ffef1ceb95dbe2cbc45ff8d8bd
Shell
johndbritton/dotfiles
/preferences/macos/core
UTF-8
1,344
2.609375
3
[]
no_license
#!/bin/zsh set -e # Set lock screen message sudo defaults write /Library/Preferences/com.apple.loginwindow \ LoginwindowText \ "Found this computer? Please contact John Britton at public@johndbritton.com." # Check for software updates daily defaults write com.apple.SoftwareUpdate ScheduleFrequency -int 1 # Disab...
true
ad04c56f06c507ab29ca5afe0818362040a48b12
Shell
iwcs15-hack/semantic-sounds
/code/every-pair.sh
UTF-8
212
2.625
3
[]
no_license
# # every-pair.sh, 17 Apr 15 file="$1" IFS="," while read w1 w2 n1 n2 n3 n4; do echo -n "$w1,$w2,$n1,$n2,$n3,$n4," echo "$w1 $w2" | ../../sounds/slike.0.1.3/slike -gen phon | ./levdist done < "$file"
true
4adc4a2ac5fb87894205db13d5a16411ac61c34e
Shell
giriraj789/ose-backup-restore
/scripts/backup_etcd.sh
UTF-8
474
3.109375
3
[]
no_license
#!/bin/sh set -e # env variables you may want to change BACKUPDIR=${BACKUPDIR:-"/ose_cluster_backup/etcd-data"} hotdir="${BACKUPDIR}/hot/$(date +%Y%m%d%H%M).etcd" mkdir -p $hotdir . /etc/etcd/etcd.conf echo "backuping the data directory to $hotdir" etcdctl backup --data-dir ${ETCD_DATA_DIR} --backup-dir $hotdir i...
true
74403ab2cf3a250cbae17fbebd85128ad4032ff8
Shell
raspberryenvoie/odysseyn1x
/build.sh
UTF-8
8,741
3.40625
3
[ "MIT" ]
permissive
#!/bin/sh # Made with <3 by raspberryenvoie # odysseyn1x build script (a fork of asineth/checkn1x) # Exit if user isn't root [ "$(id -u)" -ne 0 ] && { echo 'Please run as root' exit 1 } # Change these variables to modify the version of checkra1n CHECKRA1N_AMD64='https://assets.checkra.in/downloads/linux/cli/x...
true
cb9bfd43a0c83aff1ebfb7f5325b37f85d0c1a30
Shell
dmc-uilabs/dmcacons
/deleteWorkspace.sh
UTF-8
564
3.734375
4
[ "MIT" ]
permissive
#!/bin/bash DisplayUsage() { cat << EOM USAGE: Enter the id of the workspace you wish to delete. ./deleteWorkspace.sh some_id EOM exit 1 }1 # # Minimum args # if [ $# -lt 1 ] then DisplayUsage fi id="$1" # user=$(psql -U postgres -d gforge -c "UPDATE groups SET use_webdav='0' WHERE group_id='$id';") user=$(psql...
true
45f724d43eae68ad2bbf34fd31545df3aeee5a12
Shell
SwarmKit/dockerfiles
/emby/build.sh
UTF-8
1,517
4.09375
4
[]
no_license
#!/bin/bash FOLDER=$(dirname $0) DOCKER_PUSH=$1 CSI="\033[" CEND="${CSI}0m" CRED="${CSI}1;31m" CGREEN="${CSI}1;32m" CYELLOW="${CSI}1;33m" CBLUE="${CSI}1;34m" # Download dependencies docker pull xataz/alpine:3.4 build() { image_name=$1 image_dir=$2 echo -e "${CBUILD}Build ${image_name} on ${image_dir}${C...
true
c40f9b94a93434f4ee6c365abb48cab1e8d4a622
Shell
jimjdeal/Arma-3-Scripts
/_makeNewServer
UTF-8
928
3.890625
4
[]
no_license
#!/bin/bash folderName=$1 if [ ! -n "$folderName" ]; then echo Hello! What would you want the new directory to be called? fi while [ ! -n "$folderName" ]; do if [ ! -n "$folderName" ]; then read folderName folderName=`echo $folderName | tr ' ' '_'` if [ ! -n "$folderName" ]; then ...
true
5e6ae832788d1de2e3ead8aae18726858577346e
Shell
JadLevesque/order-pp
/test/Test-shell
ISO-8859-1
8,764
3.859375
4
[ "BSL-1.0" ]
permissive
#!/bin/bash # (C) Copyright Vesa Karvonen 2004. # # Distributed under the Boost Software License, Version 1.0. # (See accompanying file LICENSE.) set -e TIMEFORMAT='Time: %R seconds' dbFile=test.db tmpFile=.test.tmp debugFlag=1 function check-and-add-preprocessor { if $1 >& /dev/null ; then availableP...
true
d514b8f1d7aaa10e11bf16727e3d66d2e409c562
Shell
kpu/elrc-scrape
/download_json.sh
UTF-8
159
2.609375
3
[ "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/bash for ((i=0;i<5000;++i)); do if [ ! -s $i.json ]; then echo wget -O $i.json https://www.elrc-share.eu/repository/export_json/$i/; fi; done |parallel
true
527cec01c65452f5d78cbb8d6cd32c33adc522c8
Shell
lucionardelli/dotfiles
/touchpad.sh
UTF-8
1,306
4.28125
4
[]
no_license
#!/bin/bash -e for i in "$@" do case $i in -e|--enable) ENABLE=1 shift # past argument with no value ;; -d|--disable) DISABLE=1 shift # past argument with no value ;; -s=*|--sleep=*) SLEEP_S="${i#*=}" shift # past argument=value ;; -h|--help) HELP=1 shift # p...
true
a94f51e44309e1252e40c1b9eb55f0ba72ae200b
Shell
rsmitty/yubikey
/gpg.sh
UTF-8
1,790
3.625
4
[]
no_license
#!/bin/bash set -eou pipefail while true; do read -p "Enter Name: " name echo read -p "Enter Email: " email echo [[ ! -z "$name" ]] && break || echo "Name is empty string" echo [[ ! -z "$email" ]] && break || echo "Email is empty string" echo done echo 'User info confirmed' mkdir ~/gpg # Generate m...
true
83bb22b8779dcb5da4fedad3a716c39cc559e063
Shell
SNH48Live/KVM48
/ci/script
UTF-8
2,445
3.34375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -e [[ $PYTHON_VERSION == 3.* ]] || { echo "[ERROR] Invalid PYTHON_VERSION $PYTHON_VERSION" >&2; exit 1; } mkdir -p data cat > data/kvm48-config.yml <<'EOF' group_id: 10 names: - 陈观慧 - 陈思 - 戴萌 - 孔肖吟 - 李宇琪 - 莫寒 - 钱蓓婷 - 邱欣怡 - 吴哲晗 - 徐晨辰 - 许佳琪 - 张语格 span: 3 directory: /data named_subdirs: true update...
true
cb64c50ac1f48858bfb13014491f7b70061d50c0
Shell
Privex/ltcinsight-docker
/init.sh
UTF-8
10,794
3.703125
4
[ "X11", "MIT" ]
permissive
#!/usr/bin/env bash DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" export PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:${PATH}" export PATH="${HOME}/.local/bin:/snap/bin:${PATH}" cd "$DIR" em() { >&2 echo -e "$@" } hascmd() { command -v "$@" &> /dev...
true
a93930e8d3f8d0b2e4c77b45b525669a17c266f5
Shell
GLTSC/samaritan
/test/integration/proc/redis/run.sh
UTF-8
1,058
2.75
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash -eu # # Copyright 2019 Samaritan Authors # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law ...
true
5dc52c9303999e8afd86b5b49f9391e034f501e6
Shell
sdothum/dotfiles
/bin/bin/functions/package/void/xb_check
UTF-8
656
3.046875
3
[ "MIT" ]
permissive
#!/usr/bin/dash # sdothum - 2016 (c) wtfpl # Package # ══════════════════════════════════════════════════════════════════════════════ # ........................................................... Package management usage() { usage: "$(basename $0) <package>*"; exit 1; } [ $1 ] || usage for i in $@ ;do xb Q $i >/de...
true
042f4ea28789fefc79e47f907de31c988105d59b
Shell
pablerass/dotfiles
/scripts/install-buttercup.sh
UTF-8
363
3.234375
3
[]
no_license
#!/bin/bash -e # Specify version app=buttercup-desktop ver=1.10.1 arch=amd64 package=${app}_${ver}_${arch}.deb # Download deb packages wget -N https://github.com/buttercup/buttercup-desktop/releases/download/v${ver}/${package} # Install packages sudo apt install gconf2 libappindicator1 libindicator7 -y sudo dpkg -i ...
true
08f346677661d9174aad860013ceaf6f8755ff1d
Shell
NickSto/nstoler.com
/utils/psql-du.sh
UTF-8
1,393
4.15625
4
[]
no_license
#!/usr/bin/env bash if [ "x$BASH" = x ] || [ ! "$BASH_VERSINFO" ] || [ "$BASH_VERSINFO" -lt 4 ]; then echo "Error: Must use bash version 4+." >&2 exit 1 fi set -ue Usage="Usage: \$ $(basename "$0") [-t] [-a] Print the disk usage of each Postgres table. -a: Include metadata tables (ones starting with \"django_\" an...
true
be3e33c922a11c6f0b31d09efd4a19358b95eeaf
Shell
antoniovizuete/git-ejercicios
/git-exercise-1/create.sh
UTF-8
152
2.625
3
[]
no_license
#!/bin/bash source ../_generic_create.sh function _ex() { echo "unu" > first.txt echo "du" > second.txt git add first.txt } _create _ex
true
50b1ac940c8553d32041ca5b2bfb98f9f686d71b
Shell
WilliamGrondin/TE-bot
/chromiummacro.sh
UTF-8
1,185
3.578125
4
[]
no_license
#!/bin/bash BASEDIR=$(dirname $0) echo $BASEDIR nbChromeUser=$1 echo "script nb-chrome-user" #get links wget --no-check-certificate -q https://raw.githubusercontent.com/WilliamGrondin/TE-bot/master/mylinks -O "$BASEDIR/links" readarray -t links < "$BASEDIR/links" linksLength=${#links[@]} echo "Links : $linkLength" ...
true
4320ba14236236a7ff9b6f7664f13a73572975bf
Shell
cloudtracer/lunar
/modules/audit_pam_wheel.sh
UTF-8
2,262
3.25
3
[ "CC-BY-4.0" ]
permissive
# audit_pam_wheel # # PAM Wheel group membership. Make sure wheel group membership is required to su. # # Refer to Section(s) 6.5 Page(s) 142-3 CIS CentOS Linux 6 Benchmark v1.0.0 # Refer to Section(s) 6.5 Page(s) 165-6 CIS RHEL 5 Benchmark v2.1.0 # Refer to Section(s) 6.5 Page(s) 145-6 CIS RHEL 6 Benchmark v1.2.0 # Re...
true
cdfd0caa6153c3071a12f23f3a201df10840567f
Shell
pragmagrid/lifemapper-compute
/src/futures/prepSrc.sh.in
UTF-8
389
3.203125
3
[]
no_license
#!/bin/bash # Purpose: Fetch futures source, backport of the concurrent.futures package from Python 3 DL_URL=https://files.pythonhosted.org/packages/47/04/5fc6c74ad114032cd2c544c575bffc17582295e9cd6a851d6026ab4b2c00 DL_PKG=@ARCHIVENAME@-@VERSION@.@TARBALL_POSTFIX@ get_source_files () { echo "Fetch @ARCHIVENAME@ so...
true
46eaa0cb309ef84105b6ea5ec7a3459d32c8279f
Shell
HEP-KBFI/stpol
/src/old_step3/resubmit_failed_task.sh
UTF-8
576
3.625
4
[]
no_license
#!/bin/bash #Resubmits the step3 job based on the failed slurm-JOBID.out file as the argument if [ -z "$1" ]; then echo "Usage: $0 /path/to/failed/slurm-12345.out" echo "This script will look for the x* file in the slurm.out and resubmit the task based on the corresponding task_x*" exit 1 fi infile=`readlin...
true
2b773eb6a446082aaa737183fbefe7c8664ae48a
Shell
alphagov/govuk-puppet
/modules/govuk/templates/usr/local/bin/es-rotate-passive-check.erb
UTF-8
931
3.828125
4
[ "MIT", "LicenseRef-scancode-proprietary-license" ]
permissive
#!/bin/bash # Redirect stdout and stderr to syslog exec 1> >(/usr/bin/logger -s -t $(basename $0)) 2>&1 #FIXME: 2014-01-12 - Ideally this should be 21 days - need to fix logstasher gem first ARGS='--delete-old --delete-maxage <%= @indices_days_to_keep %> --optimize-old --optimize-maxage 1 logs' CMD="/usr/local/bin/es...
true
9fc50cb63d5518e9166d5549ca95190c79a006c3
Shell
ameliegruel/VisualAttention_DVS
/Attention model with Matlab/HyperParametrage.sh
UTF-8
7,094
3.0625
3
[]
no_license
#!/bin/bash now=`date +"%F_%H-%M-%S"` start=`date +"%s"` mkdir Results/HyperSimu_$now touch Results/HyperSimu_$now/Simulation_$now.csv echo "Simulation;Video;Category;Sample;Bigger timestamp;" >> Results/HyperSimu_$now/Simulation_$now.csv # parameters Attention thresholdAttention=(25 50 100 108.1 110 125 150 200) #1...
true
f4da88cb6a8cca43accd96e2c207721d06af1be3
Shell
Ghostcode75/Bash-Tools
/TOYS/y2m.sh
UTF-8
6,277
3.890625
4
[]
no_license
#!/usr/local/bin/bash # Youtube to MP3 BASH script to steal shit... CPR='Jd Daniel :: Gabelbombe' MOD="$(date +'%Y-%m-%d @ %H:%M:%S')" VER='7.1.5' # REF : https://github.com/Gabelbombe/Bash-Tools/blob/master/TOYS/y2m.sh # REQ : https://github.com/aadsm/JavaScript-ID3-Reader ## Buyers beware.... ## ## ## ## ## ...
true
e8063c43b7f3dd5f1362a47517e9dacdec1b13ae
Shell
ivanvladimir/conectividad_old
/execute.sh
UTF-8
8,344
3.921875
4
[]
no_license
#! /bin/bash # autor: @Penserbjorne - Sebastian Aguilar # FI-IIMAS-IIJ-UNAM # Modification: @ivanvladimir - Ivan Meza opt=-1 # Define a timestamp function timestamp() { date +"%T" } help(){ echo " ONE SCRIPT TO RULE THEM ALL!!! Descripción: Script útilizado para automátizar la ejecución y despliegue del sis...
true
c9b32e170a2b1b99a02bc2f79e442a2d22f1604a
Shell
LeoDaza7/NFS-Cluster
/log_script.sh
UTF-8
196
2.875
3
[]
no_license
#!/bin/bash echo "writing data to $1/$(hostname)-$(hostname -I | awk '{print $1}').log..." while true do echo $(date) >> $1/$(hostname)-$(hostname -I | awk '{print $1}').log sleep 5 done
true
66ab2c79e15ec351b2464852983a000c88fa9472
Shell
suriya/dot-files
/bin/run-if-needed
UTF-8
3,253
3.921875
4
[]
no_license
#!/usr/bin/env bash # # $Id: run-if-needed 760 2007-03-19 15:45:14Z suriya $ # # FILE: run-if-needed.sh # AUTHOR: Suriya Subramanian <suriya@cs.utexas.edu> # DATE: Sat Jun 12 16:28:54 CDT 2004 # # Copyright (C) 2004 Suriya Subramanian <suriya@cs.utexas.edu> # All rights reserved. # # This program is free software...
true
18536ed90ddad8a23c2d889ea6f0a7047b54e5b1
Shell
HuangStomach/gini
/docker/pei/friso.bash
UTF-8
500
2.5625
3
[ "MIT" ]
permissive
PHP_MODULE_PATH=php-$(echo "<?= PHP_MAJOR_VERSION.'.'.PHP_MINOR_VERSION ?>"|php7) curl -sLo /usr/lib/libfriso.so "http://files.docker.genee.in/alpine/${PHP_MODULE_PATH}/libfriso.so" \ && curl -sLo /usr/lib/php7/modules/friso.so "http://files.docker.genee.in/alpine/${PHP_MODULE_PATH}/friso.so" \ && curl -sL htt...
true
0f390c78774016a74a2ee052859e18f321d4bc91
Shell
mgarciaisaia/shield-procer
/shield/core/mostrarAyuda.sh
UTF-8
1,126
3.65625
4
[]
no_license
#!/bin/bash #Pregunto si tiene parametros y si no muestro ayuda de todos los builtins AYUDA="Brinda ayuda sobre el buit-in ingresado, de no ingresar ninguno, brinda ayuda de todos los built-ins" INFOM="Muestra información sobre los módulos que contengan la cadena ingresada, de no ingresar ninguna cadena, muestra in...
true
38c69577597a06d3341b53d48969130b2f101e50
Shell
petronny/aur3-mirror
/ruby-text-hyphen/PKGBUILD
UTF-8
800
2.5625
3
[]
no_license
# Maintainer: Francois Garillot <francois[@]garillot.net> # Contributor: Daenyth <Daenyth+Arch [at] gmail [dot] com> _gemname=text-hyphen pkgname=ruby-$_gemname pkgver=1.4.1 pkgrel=1 pkgdesc="Text::Hyphen is a Ruby library to hyphenate words in various languages using Ruby-fied versions of TeX hyphenation patterns" arc...
true
e2fb2d6fda7009b67df29aff4ed4b1d167b7045c
Shell
syseleven/ospurge
/tools/func-tests.sh
UTF-8
5,230
3.421875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Licensed under the Apache License, Version 2.0 (the "License"); you may # not use this file except in compliance with the License. You may obtain # a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, softw...
true
52019e5c6da9047ed2356e9c1874a35234bdc884
Shell
JuniorFreitas/dnlaravel
/start.sh
UTF-8
698
2.671875
3
[ "MIT" ]
permissive
#!/bin/bash echo "\033[1;32mDocker com NGINX, Laravel, PHP7.2, Redis e MARIADB - Dynamus TI 2018 \033[0m" echo Download Laravel php ./docker/utils/composer create-project --prefer-dist laravel/laravel application echo Copiando arquivo de configuração .env cp ./docker/utils/.env ./application/.env echo Copiando comp...
true
767cebdfe391f85177fe12a40d7013c91ae029ab
Shell
giulianoc/CatraMMS
/scripts/examples/addSerieCChannels/foglio.sh
UTF-8
517
3.234375
3
[]
no_license
#!/bin/bash if [ $# -ne 4 ]; then echo "Usage $0 <tsv path name> <userKey> <apiKey> <mmsAPIHostname> (i.e.: 40 702347803978348... mms-api.cloud-mms.com)" exit 1 fi tsvPathName=$1 #for seriec: 1 userKey=$2 #for seri...
true
490c54975167db1e14e6d56ca09d322f6f93cfc3
Shell
kubernetes-sigs/kustomize
/releasing/compile-changelog.sh
UTF-8
2,733
4.03125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # Copyright 2022 The Kubernetes Authors. # SPDX-License-Identifier: Apache-2.0 # # Builds a PR-oriented changelog from the git history for the given module. # # Usage (from top of repo): # # releasing/compile-changelog.sh MODULE TAG CHANGE_LOG_FILE # # Where TAG is in the form # # api/v1.2.3 # kustomi...
true
e022a7e865a9f92848a0822aed42e577f928c5fa
Shell
zhangxin0518/linux-help
/linux-help.sh
UTF-8
1,246
2.671875
3
[]
no_license
#!/bin/bash #============================================================ #软件下载与安装源列表文件 sudo gedit /etc/apt/sources.list #更新软件下载与安装源列表 sudo apt-get update #按照源列表更新并安装软件 sudo apt-get upgrade #强制安装Ubuntu软件中心 sudo apt-get install --reinstall software-center #============================================================ #查...
true
9cc12538238a306837d8e12da3d2d26399b3f263
Shell
zackharley/CMPE327
/test.sh
UTF-8
2,073
3.75
4
[]
no_license
#!/usr/bin/env bash POSITIONAL=() while [[ $# -gt 0 ]] do key="$1" case ${key} in -f|--frontend) FRONTEND="$2" shift # past argument shift # past value ;; -b|--backend) BACKEND="$2" shift # past argument shift # past value ;; -o|--output) OUTPUT="$2" shift # past ar...
true
aacfea3dd69bc5ccd14bf3fcb8f84c142d895578
Shell
msys2/MINGW-packages
/mingw-w64-libftdi/PKGBUILD
UTF-8
2,235
3
3
[ "BSD-3-Clause" ]
permissive
# Maintainer: David Grayson <davidegrayson@gmail.com> _realname=libftdi pkgbase=mingw-w64-${_realname} pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}" pkgver=1.5 pkgrel=5 pkgdesc='Library to talk to FTDI chips, with Python 3 bindings (mingw-w64)' arch=('any') mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clangarm...
true
ee8510076fd2ae8d64427b926cad80f791a39d2f
Shell
matthewfeickert/dotfiles
/.bashrc_user
UTF-8
3,855
3.4375
3
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash # Add temporary PATH modification until next load of .profile if [ -f "/tmp/.profile" ]; then . /tmp/.profile fi if [ -f "/tmp/.bash_profile" ]; then . /tmp/.bash_profile fi # Avoid CVE-2022-24765 # c.f. https://github.blog/2022-04-12-git-security-vulnerability-announced/ export GIT_CEILIN...
true
044de32af8afd66a3ad248d4bec1a64c6cae72b2
Shell
urvishpanchal/shakedown
/bootstrap.sh
UTF-8
2,529
2.828125
3
[]
no_license
#!/bin/bash apt-get update apt-get upgrade -y apt-get install -y build-essential git apt-get install -y libfreetype6 libfreetype6-dev pkg-config apt-get install -y python-dev python-pip #apt-get install -y redis-server redis-tools #pip install redis rq --upgrade pip install six pip install jinja2 pip install paramik...
true
4801f0f86c0dff69255102f50866cf5309728c9b
Shell
MessaoudiLab/RNA-Seq-Analysis
/Small RNA/small_rna_trimming.sh
UTF-8
1,177
3.1875
3
[]
no_license
#!/bin/bash -l fq=$1 shift #SBATCH --nodes=1 #SBATCH --ntasks=10 #SBATCH --cpus-per-task=1 #SBATCH --mem-per-cpu=1G #SBATCH --time=1-00:15:00 # 1 day and 15 minutes #SBATCH --output=alignment.stdout #SBATCH --mail-user=useremail@address.com #SBATCH --mail-type=ALL #SBATCH --job-name="small RNA trimming - QIASeq" #...
true
61c4bca9a1b09d81f60a8cd54ea198eb2350a2c7
Shell
LGDIS/LGDIS-Deploy
/templates/unicorn/unicorn.init.erb.example
UTF-8
1,531
3.421875
3
[]
no_license
#!/bin/bash # # unicorn # # chkconfig: - 85 15 # description: unicorn start/stop script. # # # set rvm environment valiables. # export PATH=/usr/local/ruby/bin:/var/rails/bagel/current/sbin:$PATH set -u set -e APP_NAME=<%= application %> APP_ROOT=<%= current_path %> CNF="<%= deploy_to %>/shared/config/unicorn.conf"...
true
a8ef8fa03e08219c31a54bf42867dd10aae8e1cd
Shell
Hikari2/myservicebook
/patch-sagui.sh
UTF-8
403
2.875
3
[]
no_license
#!/bin/bash DEV_SERVER="src/main/frontend/node_modules/sagui/lib/runner/development-server.js" PATCH="setupHMR(saguiOptions).webpack), Object.assign(options, saguiOptions.devServer))" echo "Patching sagui" cp ${DEV_SERVER} "${DEV_SERVER}.backup" cat ${DEV_SERVER} | sed "s|setupHMR(saguiOptions).webpack), options)|${P...
true
68259285a6d259c72ec74d0d8499380791287e37
Shell
ripley57/CW_Tools
/tools/filetools/join_demos/demo2.sh
UTF-8
617
3.578125
4
[]
no_license
# demo2.sh # #Description: # Return the lines where the specified column does not only exist # in the first file. # # Note: By default join will condisder the first column in each file. # Note: The two files must be sorted, by the column being compared. # #cat demo2_file1.txt #1. Asia: #2. Africa: #3. Europe: #4. North...
true
5ed43221992dd98b8519a27d074c2ded60ddad0a
Shell
vanleiko/unix-course
/guessinggame.sh
UTF-8
790
3.96875
4
[]
no_license
#!/usr/bin/env bash function compare_numbers { read input_num local number=$(ls | wc -l) if [[ $input_num = $number ]] then result="Correct" elif [[ $input_num -gt $number ]] then result="Greater" else result="Lower" fi echo $result } continue_game="Yes" echo ">>> Welcome to the Guessing Game! <<...
true
500995780673be350f0f86582849be1382e7a420
Shell
teamonefist/irz-rootfs
/home/httpd/cgi-bin/admin_startup_set.cgi
UTF-8
278
2.703125
3
[]
no_license
#!/bin/sh /usr/lib/irz-web/setscript formq script | tr -d '\r' > /mnt/rwfs/settings/startup if [ "`formq script_enabled`" = "on" ]; then chmod 0755 /mnt/rwfs/settings/startup else chmod 0644 /mnt/rwfs/settings/startup fi echo "<hr><a href=\"admin_startup.cgi\">Return</a>"
true
512918aee6b9cc719adb99896cf032ff65688330
Shell
painless-software/painless-continuous-delivery
/tests/field/include/api/gitlab.sh
UTF-8
347
3.546875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash -e # # GitLab API access helper functions. gitlab() { COMMAND="$1" RESOURCE="$2" PROJECT_URL="https://gitlab.com/api/v4/projects/${GITLAB_PROJECT_NAME}" set -e curl --silent \ --header "Authorization: Bearer $GITLAB_API_TOKEN" \ --request $COMMAND \ "${PROJECT_UR...
true
62ae5dc31643377be64a06c2cbc218eaf5a99ba1
Shell
JohnSun23/SmartGridProject
/setup.sh
UTF-8
841
2.921875
3
[]
no_license
#!/bin/bash ion_username="melkherj" ion="ion-21-14.sdsc.edu" # We're not on the io-node on gordon if [[ `hostname` != *sdsc.edu ]] then # For accessing hdfs export sshion="ssh ${ion_username}@${ion}" export SMART_GRID_DATA="$(pwd)/../data" fi # Smart Grid Compression source directory export SMART_GRID_SR...
true
e5b0d6acd63dbca7172da74d5ca8747d81a8cce1
Shell
zheng1204/zheng
/12.sh
UTF-8
184
3
3
[]
no_license
#!/bin/bash for i in {1..254} do ping -c1 -i0.1 -W1 192.168.4.$i >/dev/null if [ $? -eq 0 ];then echo "host 192.168.4.$i is up." else echo "host 192.168.4.$i is down." fi done
true
872b4606bb3f1f282de56be00e0b6ff620cbaac1
Shell
lgq2015/dumpshell
/dumpshell/dump.sh
UTF-8
898
3.546875
4
[]
no_license
#判断参数个数 if [ $# != 1 ]; then echo "参数不正确" echo "本命令只接收一个参数,参数是可执行文件的名称,请这样使用:dump name" exit fi #通过遍历/var/mobile/Containers/Data/Application/中所有沙盒文件的.metadata.plist查找有参数$1的文件路径 cd /var/mobile/Containers/Data/Application/ for filename in `find . -name '*.metadata.plist'` do grep "$1" $filename if [ $? -eq 0 ]; then v...
true
ca673b134bbf09534b8a5ff1d4a1f37ac447f5ea
Shell
jdelaporte/dotfiles
/scripts/android-push-music
UTF-8
580
3.1875
3
[]
no_license
#!/bin/bash # A quick Linux script to syncronize music with my Droid phone. # Usage: # >sync-droid-music /media/DROID # Uncomment the following for the first run, if you're on Ubuntu: # sudo apt-get install rsync # Move extraneous music files into the Music directory. mkdir $1/Music mv $1/amazonmp3/* $1/Music echo "...
true
80e53d07f10594f9d0c2692880c5aaa12783c32a
Shell
wangqiang8511/docker-elasticsearch-mesos
/etcd_ttl.sh
UTF-8
251
2.546875
3
[]
no_license
#!/bin/bash ETCD_SERVER=${ETCD_SERVER:-"http://localhost:4001"} ES_CLUSTER_NAME=${ES_CLUSTER_NAME:-"test"} while true; do curl -L -XPUT "$ETCD_SERVER/v2/keys/es/$ES_CLUSTER_NAME/$(hostname -f)" -d value=$(hostname -i) -d ttl=10 sleep 5 done
true
d62ac0477b4c8f7e79495a6f70a0c1ecb7afb989
Shell
kalisjoshua/dotfiles
/install
UTF-8
328
3.109375
3
[]
no_license
#! /bin/bash echo "set completion-ignore-case On" >> ~/.inputrc # get the bash tab-completion script curl https://raw.githubusercontent.com/git/git/master/contrib/completion/git-completion.bash -o ~/.git-completion.bash for src in $(pwd)/custom/.* do if [ ! -d $src ]; then ln -fs $src $HOME/$(basename $src) ...
true
1f36540c1672f203b95b4d68e7e386825e97ee35
Shell
pmontp19/docker-facturascripts
/facturascripts.sh
UTF-8
177
2.625
3
[]
no_license
#!/usr/bin/env bash FILE=/var/www/html/.htaccess if [ ! -f "$FILE" ]; then cp -r /usr/src/facturascripts/* /var/www/html/; \ chmod -R o+w /var/www/html fi apache2-foreground
true
901401d4ebdeac6dee649ff018c422b8a9a7d6e3
Shell
wasimj/ephemeral-storage
/ephemeral.sh
UTF-8
922
3.21875
3
[]
no_license
#!/bin/bash PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin export PATH blockprefix=sd xenprefix=xvd stripes=0 lvmdevs= vg=ec2 lv=ephemeral ec2_api_url="http://169.254.169.254/latest" if ! vgs ${vg} >/dev/null 2>&1; then ephdevs=$( curl -s -XGET ${ec2_api_url}/meta-data/block-device-mapping/ |grep ephemeral ) ...
true
c68a3a0886c1a975a62619176ff673c0ae3b2e09
Shell
t04glovern/udemy-video-utils
/convert-and-build.sh
UTF-8
447
2.6875
3
[]
no_license
#!/bin/bash cd input for line in *.mp4; do name=`echo $line | cut -d'.' -f1`; echo $line; echo $name; ffmpeg -i $line -i ../media/base/icon.png -filter_complex "overlay=10:main_h-overlay_h-10" "../output/${name}-layered.mp4" ffmpeg -i ../media/base/intro.mp4 -i "../output/${name}-layered.mp4" -filter_complex...
true
e8eb99cc21406d59f8c268c70a18cf10cdc9c649
Shell
syn2cat/pidor
/scripts/rsyslog-mikrotik.sh
UTF-8
490
3.265625
3
[]
no_license
#!/bin/bash exec 2>/tmp/out.log set -x PATH=/bin:/usr/bin mkdir /run/dhcp-leases 2>/dev/null while read l do ip="$(echo "$l" | fgrep Address-Request| fgrep "10.2.113" | sed 's/^.* //')" if [ "$ip" != "" ] then t=$(date +%s) if [ -f "/run/dhcp-leases/$ip" ] then touch "/run/dhcp-lease...
true
9ddcbe0950658cf12593a46b7f3c9f0780a3e886
Shell
siyuanzhao/dissertation
/cfrnet/assistments_exp.sh
UTF-8
395
2.578125
3
[ "MIT" ]
permissive
ps=$1 sea=$2 cnt=50 rname='lstm-autoencoder/results/'$1'_result.pkl' directory='cfrnet' mkdir results if [ -d "$directory/results/$ps" ] then rm -rf $directory/results/$ps fi mkdir $directory/results/$ps python $directory/cfr_param_search.py $directory/configs/assistments_exp.txt $cnt $ps $sea $rname python $dire...
true
1d6f6f9c643b296a70929ffa9bae7ed38989b80e
Shell
joeyjoey1234/pterodactyl-egg-adminer-apache2
/Final script admino Pterodactyl.txt
UTF-8
2,491
2.703125
3
[]
no_license
#!/bin/bash # joeys adminer scripppy # # Server Files: /mnt/server printf '#!/bin/sh\nexit 0' > /usr/sbin/policy-rc.d apt-get update apt-get install dialog apt-utils -y apt-get -y dist-upgrade apt-get -y upgrade export DEBIAN_FRONTEND=noninteractive apt update apt-get -y upgrade apt-get update --fix-missing apt-ge...
true
76a1fd4bfaec8b71ad30bd00e9601813f4c68ef3
Shell
solgenomics/sgn
/bin/jbrowse_vcf_tools/generate_indiv_vcfs.sh
UTF-8
2,224
4
4
[ "MIT" ]
permissive
#!/bin/bash #------------------------------------------------------------------------------------------------------------------...
true
dbcc796c49eec628267eb844b92c22db068cafae
Shell
youngzil/quickstart-framework
/quickstart-linux/docs/greplog2/greplog.sh
UTF-8
840
3.234375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e echo "#!/bin/bash">>temp.sh mainAcct=$1 token=$2 function trusthost() { commandStr="cd /data/logs/aifgw-dmz-security;"; commandStr="${commandStr} grep -rn $mainAcct oauth2-server-error*.log >> ${host}.log;" commandStr="${commandStr} grep -rn 'Token无效' oauth2-server-error*.l...
true
8c16a1bc5f7bfa6f2201524055b747a9ec6a7149
Shell
akshu3398/sudoku
/docs/sudokugen/lib/games/makeindices.sh
UTF-8
183
3.125
3
[]
no_license
#!/bin/sh for dir in *; do if [ -d "$dir" ]; then find "$dir" -type f > "$dir.index" fi done find */ -type f >Any.index for i in *index; do echo -n $i; wc "$i"; done
true
4eb4093a2967b399d3f08264bf2f3044be6dcfe5
Shell
aka00142/cfg2html-all
/sun/list_disks
UTF-8
1,866
3.5625
4
[]
no_license
#!/bin/ksh get_disk_lines () { format <<-EOF | nawk '/^ *[0-9]+\. / {printf "%s %s\n", $2, $3}' | tr -d '<>' EOF } calc_disk_size () { # compute capacity using method for SATA disks. # VTOC on most disks in a x4500 is different than most Sun servers hd_size=`prtvtoc $dev_path 2> /dev/n...
true
9352b281b7adf51e1c40507891b6c3b61a3819a9
Shell
heartbreaker1411/archlinux-pkgbuilds
/excat/PKGBUILD
UTF-8
499
2.5625
3
[]
no_license
_p=excat pkgname=${_p} pkgver=0.3 pkgrel=1 pkgdesc="Tool to decompress any format using libarchive." arch=('i686' 'x86_64') url="http://excat.sf.net" license=('BSD') groups=() depends=('libarchive') makedepends=() provides=() conflicts=() replaces=() backup=() options=(!emptydirs) install= source=(excat.c) sha256sums=...
true
c4aef32cfe064a140c13efe2756681325799eee1
Shell
litx/fabric-samples
/first-network/scripts/script.sh
UTF-8
8,986
3.296875
3
[ "Apache-2.0", "CC-BY-4.0" ]
permissive
#!/bin/bash echo echo " ____ _____ _ ____ _____ " echo "/ ___| |_ _| / \ | _ \ |_ _|" echo "\___ \ | | / _ \ | |_) | | | " echo " ___) | | | / ___ \ | _ < | | " echo "|____/ |_| /_/ \_\ |_| \_\ |_| " echo echo "Build your first network (BYFN) end-to-end tes...
true
a68adf49bcf2fc0d6b2b6677a3bb168408d60375
Shell
dbca-wa/authome
/testmonitoring
UTF-8
597
2.90625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash if [[ "$1" == "" ]] then backend="false" elif [[ "$1" == "true" ]] then backend="true" else backend="false" fi TEST_RUNNER=authome.testrunners.NoDatabaseTestRunner export TEST_RUNNER #source venv/bin/activate && python manage.py test authome --keepdb if [[ "$backend" == "true" ]] then e...
true
ee0d2d2fb0df1e54bf78770f27824be7d61484d0
Shell
Ninad-cloud/autovm
/swift_verify.sh
UTF-8
2,219
3.21875
3
[]
no_license
#######[ DEPLYOMENT OF SWIFT-OBJECT STORAG ESERVICE ]######################## #Verification for SWIFT-OBJECT # Swift Service uses Distributed SQlite Databases #!/bin/sh source /root/autovm/globalvar.sh verfiy_operation(){ # Verify the operation echo -e "\n\e[36m[ SWIFT_ON_CONTROLLER ] :\e[0m VERIFYING THE SWIFT SERV...
true
fcf5391388b537f4e83131b21294d54ec4a3c076
Shell
xmanswer/Web-Service-Twitter-Analytics
/phase1/phase1_query2_etl/preparation.sh
UTF-8
3,164
2.53125
3
[]
no_license
sudo apt-get update sudo apt-get install python-pip # configue cli sudo pip install awscli aws configure ## AWSAccessKeyId=AKIAJWVJUGINPZKLNC5A ## AWSSecretKey=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 ## default region = us-east-1 ## default format = txt # copy subsample aws s3 ls s3://cmucc-datasets/twitter/f15/ sud...
true
a13433b83d6398497fb5b764240cebfd25700dce
Shell
hacone/hc_temporary
/34samples-scripts/progress.sh
UTF-8
789
2.90625
3
[]
no_license
#!/bin/bash echo -e "\nno. of CHUNKS." for dir in $(ls filtered/ ); do echo -e "${dir}\t"$( ls filtered/$dir/split/ | wc -l ); done #echo -e "\nfinished ENCODING" #echo -e "> For s14-X17" #for s in $(ls *-s14-encode.log); do echo $s ; grep Done $s | wc -l ; done #echo -e "> For 14 mons" #for s in $(ls *-14m-encode.lo...
true
da26980e354ce8353ae915232b5d4d61b972b856
Shell
FHead/PhysicsHIJetReco2018
/CommonCode/script/ScaleHistogramsWithTag.sh
UTF-8
820
3.09375
3
[]
no_license
WorkspaceBase=~/work/PhysicsWorkspace/HIJetMass/ InputFolder=CombinedResult OutputFolder=ScaledResult CrossSectionFile=$WorkspaceBase/CommonCode/input/SampleCrossSection.input mkdir -p $OutputFolder for i in `ls $InputFolder` do Tag=${i/.root} InputFile=$InputFolder/$i OutputFile=$OutputFolder/$i if gre...
true
13edef84d94931925842d3cab4e380bee1d86b11
Shell
jrsouth/Scripts
/createdevuser.sh
UTF-8
5,214
4
4
[]
no_license
#!/bin/bash # ----------------------------------------------------------------------------- # Script to set up dev accounts on a web development machine # # Creates: # -- User SSH login # -- FTP access to home directory (assumes this is available with login creation) # -- MySQL access to username_* databases (plus .m...
true
af03b7ff43b821f5dcbd7167065085b49d363cb0
Shell
ammpedro/cloudsim-ed-actuation
/deploy.bash
UTF-8
677
2.609375
3
[]
no_license
#!/bin/bash . /opt/ros/groovy/setup.bash . /opt/ros/hydro/setup.bash echo "Creating directories..." mkdir ~/code mkdir ~/cloudsim/notebook cd ~/code mkdir ws mkdir ws/src cd ws/src echo "Transfer repo..." cp -r ~/cloudsim-ed-actuation ~/code/ws/src echo "Initializing catkin workspace" catkin_init_workspace cd .. ec...
true
d4190a2a336186a3c3f85841fbdccac52fc1371d
Shell
faizainur/catena-fabric
/organizations/ccp-generate.sh
UTF-8
2,109
3.375
3
[]
no_license
#!/bin/bash function one_line_pem { echo "`awk 'NF {sub(/\\n/, ""); printf "%s\\\\\\\n",$0;}' $1`" } function json_ccp { local PP=$(one_line_pem $4) local CP=$(one_line_pem $5) sed -e "s/\${ORG}/$1/" \ -e "s/\${P0PORT}/$2/" \ -e "s/\${CAPORT}/$3/" \ -e "s#\${PEERPEM}#$PP#" \ ...
true
7962e03190231556172db2ab4d740900c0420927
Shell
oldpride/tpsup
/scripts/putty_config
UTF-8
1,902
3.984375
4
[]
no_license
#!/bin/bash # $USERPROFILE is from windows env variable %USERPROFILE% file_unresolved='$USERPROFILE/Desktop/putty_config.reg' usage () { cat >&2 <<EOF usage: $0 export $0 import $0 check putty config is stored in windows registry, therefore, when desktop is rebuilt, (for example, in citrix environ...
true
200bdb2c5ca5685c81507076d151e9dabb1ac0f4
Shell
sylvathle/sblunier_webdav
/Monitoring/GenerateGridReport/testFile.sh
UTF-8
10,693
3.21875
3
[]
no_license
#! /bin/bash if [ "$1" == "" ] then echo argument 1 = cloud or all '(ex: DE)' exit 1 fi function getSiteParams { iterator=0 foundSite=0 while read line do if [ $iterator == 3 ]; then iterator=0 foundSite=0 fi if [ "$line" == $1 ]; then foundSite=1 fi if [ $foundSite == 1 ]; then ...
true
ac6c3f58e237eb8e70ce3331b9be98b4c5987d86
Shell
wikitongues/Library-of-Congress
/reset.sh
UTF-8
319
3.296875
3
[]
no_license
#!/bin/bash dev=false args=() while (( $# )); do case $1 in -d) dev=true ;; *) args+=("$1") ;; esac shift done set -- "${args[@]}" loc_config='~/loc-config' if [[ $dev == true ]]; then loc_config='~/loc-config-dev' fi source $loc_config cd $LOC_PreRelease rm -rf loc* loc-test loc-prepare * cd loc*
true
f8696c938e9441b7e9f54bfa1701f7cfc33bf900
Shell
ryanmoon/public_scripts
/check_ad_jss.sh
UTF-8
1,483
3.265625
3
[]
no_license
#!/bin/bash # Variables apiURL="https://your.jss.com:8443" apiUser="EA_API_USER" apiPass="EA_API_PASSWORD" ###### Do not edit below this line dscacheutil -flushcache sleep 5 # Check if the computer is on the network by reading its own computer object from AD # Get Domain from full structure, cut the name and re...
true
db748fe363c7ad4ba3a74ae00a254fc0406a4980
Shell
wangwangwar/bakfile
/.xinitrc
UTF-8
1,882
2.796875
3
[]
no_license
#!/bin/bash # Taken from: # https://raw.github.com/kaihendry/Kai-s--HOME/master/.xinitrc # # for terminus font in Archlinux :( xset +fp /usr/share/fonts/TTF xset +fp /usr/share/fonts/wenquanyi/wqy-microhei xset fp rehash xset -b # disable bell eval `/usr/bin/ssh-agent` if test -f /usr/lib/openssh/x11-ssh-askpass # Ar...
true
fe7103b0a74145aeea063a3f8b91ce1f5999ae84
Shell
sweshelo/winreg
/winreg.sh
UTF-8
1,082
3.640625
4
[]
no_license
#!/bin/bash function getSystemDrive () { umount /mnt/Windows disk=$1 # Search C Drive part=(`fdisk -l "${disk}" | grep -o "${disk}[0-9]"`) targ="" for d in ${part[@]};do if [ -d "/mnt/Widnwos" ]; then mkdir /mnt/Windows fi ntfs-3g $d /mnt/Window...
true